PianoBooster(6)

NAME
pianobooster - learn the piano just by playing a game

DESCRIPTION
Piano Booster is piano teaching software that can provide piano lessons for beginners as well as for advanced players. It can be used for teaching music theory and is useful for piano practice and learning piano technique.

SYNOPSIS
pianobooster [flags] [midifile]

OPTIONS

-d, --debug
    Increase the debug level

-h, --help
    Display a help message

--lights
    Turn on the keyboard lights

-l, --log
    Write debug info to the "pb.log" log file

--midi-input-dump
    Display the midi input in hex

-q, --quick-start
    Quick start

-v, --version
    Display the version number and exit

--Xnote-length (EXPERIMENTAL)
    Display the note length

--Xtick-rate=RATE (EXPERIMENTAL)
    Adjust the tick rate in mSec, the default being 4 (12 windows)

USAGE
Piano Booster is a fun way of playing along with a musical accompaniment and at the same time learning the basics of reading musical notation. The difference between playing along to a CD or a standard midi file is that Piano Booster listens and follows what you are playing on a midi piano keyboard.

The program has been designed to allow you to play along on a midi piano keyboard with the scrolling notes shown on the screen. The notes you press on the keyboard appear as colored lines on the musical stave, the color of which depends whether you have pressed the right or wrong note.

A different musical instrument sound is used for your playing depending whether you are playing the right or wrong notes. This feature also allows Piano Booster to be used with printed sheet music so you can hear if you are playing the right notes while at the same time keeping your eyes on the printed score. The music accompaniment will automatically wait for you to find and play the correct notes in the piece.

Timing markers show whether you are playing ahead or behind of the beat. They appear as white crosses that are drawn over the note.

FEATURES
- Piano Booster follows you when playing along to a musical accompaniment. If you stop, then so does the music.
- Play a single hand and Piano Booster will play the other hand, as well as the rest of instruments, in time with you.
- Change the speed of playback to match your playing ability.
- Transpose +/- 12 semitones without stopping the play back.
- Change the Key Signature of the piece.
- Plays any standard midi or kar file.
- Play along to any instrument in the midi file.
- Adjust the volume of the current part or the volume your piano part.
- See how accurate you're playing.
- Change the start bar to start playing from any bar in the music. The repeat bars allows you to practice just a few difficult bars continuously.
- Timing markers are white crosses that are drawn over each note and show if you are playing ahead or behind the beat.
- A different instrument sound is used for the right and wrong notes that you play.

SEE ALSO
You can find more about the game on its homepage: https://www.pianobooster.org

AUTHOR
The game was originally written by Louis James Barman <louisjb@users.sourceforge.net>, <louisjbarman@gmail.com>. This manual page was written by Miriam Ruiz <miriam@debian.org> for the Debian project, but can be used by others.